
function init() {

 listar();
    $("#formularioREG_EDIT").on("submit", function(e) {
        e.preventDefault(); // Evita el envío del formulario por defecto
        guardaryeditar(e);
    });
    //================================================================//
mostrar();
    //================================================================//
}


function limpiar()
{

  $("#proxpartida").val("");
  $("#jugadores").val("").trigger("change");
  $("#id_carton").val("").trigger("change");

}

$.post("../../ajax/administrador/comprar_cartones.php?op=ListarUsuario&r=" + new Date().getTime(), {
        }, function (data, status) {

        $("#jugadores").append(data);
          //bootbox.alert("data="+data);  
        });
    // Inicializamos select2 
    $("#jugadores").select2();

    $.post("../../ajax/administrador/comprar_cartones.php?op=ListarCarton&r=" + new Date().getTime(), {
        }, function (data, status) {

        $("#id_carton").append(data);
          //bootbox.alert("data="+data);  
        });
    // Inicializamos select2 
    $("#id_carton").select2();

function mostrar()
{

 $.post("../../ajax/administrador/comprar_cartones.php?op=MostrarPartidaProxima&r=" + new Date().getTime(), {

    }, function(data, status)
  {
    
    //recibir la respuesta del ajax
    var data = JSON.parse(data);

   //rellenar los campos del formulario con los datos que se van a editar
   $("#proxpartida").val(data);
  
   
   
 });
}

function enviarCompra(proxpartida,jugadores,carton) {

    // Obtener los valores de los inputs
    var proxpartida = document.getElementById('proxpartida').value;
    var jugadores = document.getElementById('jugadores').value;
    var id_carton = document.getElementById('id_carton').value;

  $.ajax({
    url: '../../ajax/administrador/comprar_cartones.php?op=EnviarCompra&r=' + new Date().getTime(),
    method: 'POST',
    data: { proxpartida: proxpartida, jugadores: jugadores, id_carton: id_carton },
    success: function(response) {
        if (response === 'Error No se pudo guardar') { // Evaluamos si hay un error en la respuesta
            Swal.fire({
                icon: 'error',
                title: 'Error',
                text: 'El cartón ya está seleccionado en esta partida.',
                showConfirmButton: true
            });
        } else {
            Swal.fire({
                icon: 'success',
                title: 'Compra Realizada Correctamente',
                text: '',
                showConfirmButton: false,
                timer: 1000 // Tiempo antes de cerrar automáticamente
            });
            limpiar();
            mostrar();
            $('#datatable').DataTable().ajax.reload();
        }
    },
    error: function(xhr, status, error) {
        Swal.fire({
            icon: 'error',
            title: 'Error',
            text: 'Ocurrió un problema al guardar.',
            showConfirmButton: true
        });
    }
});

}


    function listar(){ 

        var tabla;
        tabla = $('#datatable').dataTable({
                language: {
                processing:     "Tratamiento en curso...",
                search:         "Buscar:" ,
                lengthMenu:    "Filtro de _MENU_ registros",
                info:           "Mostrando de _START_ al _END_ de un total de _TOTAL_ ",
                infoEmpty:      "No existen registros",
                infoFiltered:   "(filtrado de _MAX_ registros en total)",
                infoPostFix:    "",
                loadingRecords: "Cargando elementos...",
                zeroRecords:    "No se encontraron los datos de tu busquda..",
                emptyTable:     "No hay ningun registro en la tabla",
                paginate: {
                    first:      "Primero",
                    previous:   "Anterior",
                    next:       "Siguiente",
                    last:       "Ultimo"
                },
                aria: {
                    sortAscending:  ": Active para odernar en modo ascendente",
                    sortDescending: ": Active para ordenar en modo descendente  ",
                }
            },
            buttons: [
                //'copyHtml5',
                'excelHtml5',
                'pdf'
                ],

            "ajax": {
                url: '../../ajax/administrador/comprar_cartones.php?op=buscar&r=' + new Date().getTime(),
                type: "POST",
                dataType: "json",
                error: function (e) {
                    //console.log(e.responseText);
                    //console.log("Error en la llamada AJAX:", e);
                    //alert("Error: " + e.responseText);
                }
            },
            "autoWidth": false,//hacer datatable responsive
            "responsive": true,//hacer datatable responsive
            "bDestroy": true,
            "iDisplayLength": 10, //Paginación
            "order": [
                [2, "asc"]
            ] //Ordenar (columna,orden)
        });

    }

      function eliminar(id_compra, id_partida) {
    Swal.fire({
        title: '¡Atención!',
        text: '¿Realmente está seguro de eliminar este registro?',
        icon: 'error',
        showCancelButton: true,
        confirmButtonText: 'Sí, eliminar',
        cancelButtonText: '<i class="fa fa-arrow-circle-left"></i> Cancelar',
        customClass: {
            confirmButton: 'btn btn-primary',
            cancelButton: 'btn btn-danger'
        }
    }).then((result1) => {
        if (result1.value) {
            $.post("../../ajax/administrador/comprar_cartones.php?op=eliminar&r=" + new Date().getTime(), {
                id_compra: id_compra,
                id_partida: id_partida
            }).done(function(data) {
                if (data === "No se pudo eliminar") {
                    Swal.fire({
                        title: 'Error',
                        text: 'No puedes eliminar una compra de una partida ya finalizada.',
                        icon: 'error',
                        confirmButtonText: 'Aceptar',
                        customClass: {
                            confirmButton: 'btn btn-danger'
                        }
                    });
                } else {
                    Swal.fire({
                        title: 'Resultado',
                        text: data,
                        icon: 'success',
                        showConfirmButton: false,
                        timer: 1300 // Tiempo antes de cerrar automáticamente
                    }).then(() => {
                        location.reload(); // Recargar la página
                    });
                }
            });
        } else {
            // else de result1
        }
    });
}

init();